Subject: Re: iproute2 issue with adding rules.

From: Stephen Hemminger <[email-masked]>
Date: Mon, 17 May 2010 14:41:13 -0700

On Mon, 17 May 2010 13:34:29 -0700
Ben Greear <[email-masked]> wrote:

> On 05/17/2010 01:30 PM, Chris Wright wrote:
> > * Ben Greear ([email-masked]) wrote:
> >> On 05/17/2010 01:13 PM, Ben Greear wrote:
> >>> On 05/17/2010 12:03 PM, Ben Greear wrote:
> >>>> On older releases, you can do this with iproute:
> >>>>
> >>>> # ip ru add from 9.9.9.2/32 table 226 pref 400
> >>>> #
> >>>>
> >>>> But, in latest git, it returns an error:
> >>>> # ip ru add from 9.9.9.2/32 table 226 pref 400
> >>>> Error: an inet prefix is expected rather than "9.9.9.2/32".
> >>>>
> >>>> Is that on purpose?
> >>>
> >>> I was thinking maybe this was a library issue, since I compiled
> >>> on one machine and ran the 'ip' exe on another. So, I tried compiling
> >>> on the test system.
> >>
> >> I'm not thinking too well today, but this patch fixes the compile.
> >> No idea if it's actually correct code.
> >
> > Needs more changes than that patch.
> 
> Ok, I'll try going back a few commits to find something that compiles
> w/out my hacks.
> 
> Also, the rule addition does work..make install put ip in
> a different place than it's installed in fedora, so I wasn't
> actually running the latest code when I first tried to add
> the rule.

Distributions never seem to agree where it should be: /sbin or /usr/sbin
or even /bin